Bug 264187 - rekonq crushed during using flash application [QWebFrame::scrollBarMaximum, MainWindow::notifyMessage, ..., MainView::showStatusBarMessage, MainView::webViewLoadFinished]
Summary: rekonq crushed during using flash application [QWebFrame::scrollBarMaximum, M...
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 0.6.1
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 0.9
Assignee: Andrea Diamantini
URL:
Keywords:
: 255370 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-01-24 17:15 UTC by Marco Triches
Modified: 2011-12-29 08:54 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (18.21 KB, text/plain)
2011-06-19 13:06 UTC, gladysowens
Details
New crash information added by DrKonqi (17.03 KB, text/plain)
2011-07-22 22:03 UTC, Brian Reynolds
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Triches 2011-01-24 17:15:51 UTC
Application: rekonq (0.6.1)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-24-generic i686
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed: I'm opening the Zynga's flash game Farmville, on the facebook's site. The second time it crushed when i'm watching a video on Youtube.

- Unusual behavior I noticed:

The crash can be reproduced some of the time.

-- Backtrace:
Application: rekonq (rekonq), signal: Segmentation fault
[Current thread is 1 (Thread 0xb76ee930 (LWP 2435))]

Thread 11 (Thread 0xb54c3b70 (LWP 2436)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7d9d in pthread_cond_wait () from /lib/libc.so.6
#3  0x01c313a5 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0x01c31481 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#6  0x00e9a69e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xb4a06b70 (LWP 2437)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7d9d in pthread_cond_wait () from /lib/libc.so.6
#3  0x0242d9c7 in wait (this=0x8b7eca0, mutex=0x8b783e0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8b7eca0, mutex=0x8b783e0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00221030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8b7ec88, th=0x8d5ee58) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x002247dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8b78478, th=0x8d5ee58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0022055b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8b7ec88, th=0x8d5ee58) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x002248d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8b78478, th=0x8d5ee58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00221533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8b7ec88, th=0x8d5ee58, previous=0x8f0d6b8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0022295e in ThreadWeaver::ThreadRunHelper::run (this=0xb4a062f4, parent=0x8b7ec88, th=0x8d5ee58) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0022307b in ThreadWeaver::Thread::run (this=0x8d5ee58) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0242cdf9 in QThreadPrivate::start (arg=0x8d5ee58) at thread/qthread_unix.cpp:266
#13 0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#14 0x00e9a69e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xb3089b70 (LWP 2438)):
#0  0x00ea7fa1 in pthread_mutex_unlock () from /lib/libc.so.6
#1  0x02728b34 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0x0272945e in ?? () from /lib/libglib-2.0.so.0
#3  0x02729848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x0255d59f in QEventDispatcherGlib::processEvents (this=0x8da12d0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#5  0x0252d609 in QEventLoop::processEvents (this=0xb3089290, flags=) at kernel/qeventloop.cpp:149
#6  0x0252da8a in QEventLoop::exec (this=0xb3089290, flags=...) at kernel/qeventloop.cpp:201
#7  0x02429b7e in QThread::exec (this=0x8e5e130) at thread/qthread.cpp:490
#8  0x0250c35b in QInotifyFileSystemWatcherEngine::run (this=0x8e5e130) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x0242cdf9 in QThreadPrivate::start (arg=0x8e5e130) at thread/qthread_unix.cpp:266
#10 0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#11 0x00e9a69e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xaedd8b70 (LWP 2470)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7d9d in pthread_cond_wait () from /lib/libc.so.6
#3  0x0242d9c7 in wait (this=0x8b7eca0, mutex=0x8b783e0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8b7eca0, mutex=0x8b783e0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00221030 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8b7ec88, th=0x8f11428) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x002247dc in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x8b78478, th=0x8f11428) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x0022055b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x8b7ec88, th=0x8f11428) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x002248d2 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8b78478, th=0x8f11428) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00221533 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8b7ec88, th=0x8f11428, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x0022295e in ThreadWeaver::ThreadRunHelper::run (this=0xaedd82f4, parent=0x8b7ec88, th=0x8f11428) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x0022307b in ThreadWeaver::Thread::run (this=0x8f11428) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0242cdf9 in QThreadPrivate::start (arg=0x8f11428) at thread/qthread_unix.cpp:266
#13 0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#14 0x00e9a69e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xad35ab70 (LWP 2477)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7d9d in pthread_cond_wait () from /lib/libc.so.6
#3  0x005d2877 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x6d11a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x005d28c1 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x6d11a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#6  0x00e9a69e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa9440b70 (LWP 2562)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7d9d in pthread_cond_wait () from /lib/libc.so.6
#3  0xa9b558c7 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#4  0xa9c5abd5 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#5  0xa9b562c4 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#6  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#7  0x00e9a69e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa8a3fb70 (LWP 2563)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f64dc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7d9d in pthread_cond_wait () from /lib/libc.so.6
#3  0xa9b558c7 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#4  0xa9c5abd5 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#5  0xa9b562c4 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#6  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#7  0x00e9a69e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb07fdb70 (LWP 2564)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f6884 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7df4 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xa9b55899 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#4  0xa9b77c13 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#5  0xa9b562c4 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#6  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#7  0x00e9a69e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xafffcb70 (LWP 2565)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f6884 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7df4 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xa9b55899 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#4  0xa9b77c13 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#5  0xa9b562c4 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#6  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#7  0x00e9a69e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa700bb70 (LWP 2569)):
#0  0x00a48416 in __kernel_vsyscall ()
#1  0x001f6884 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00ea7df4 in pthread_cond_timedwait () from /lib/libc.so.6
#3  0xa9b55899 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#4  0xa9b77c13 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#5  0xa9b562c4 in ?? () from /usr/lib/flashplugin-installer/libflashplayer.so
#6  0x001f1cc9 in start_thread () from /lib/libpthread.so.0
#7  0x00e9a69e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb76ee930 (LWP 2435)):
[KCrash Handler]
#7  0x01975890 in QWebFrame::scrollBarMaximum(Qt::Orientation) const () from /usr/lib/libQtWebKit.so.4
#8  0x003a9cf2 in MainWindow::notifyMessage (this=0x8b843d0, msg=..., status=Rekonq::Info) at /build/buildd/rekonq-0.6.1/src/mainwindow.cpp:1128
#9  0x003b3964 in MainWindow::qt_metacall (this=0x8b843d0, _c=QMetaObject::InvokeMetaMethod, _id=51, _a=0xbfd4f124) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/mainwindow.moc:147
#10 0x025348ca in QMetaObject::metacall (object=0x8b843d0, cl=159667544, idx=51, argv=0xbfd4f124) at kernel/qmetaobject.cpp:237
#11 0x025476ad in QMetaObject::activate (sender=0x8b8bde8, m=0x445ba4, local_signal_index=3, argv=0x0) at kernel/qobject.cpp:3280
#12 0x003a62c9 in MainView::showStatusBarMessage (this=0x8b8bde8, _t1=..., _t2=Rekonq::Info) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/mainview.moc:199
#13 0x003a84a2 in MainView::webViewLoadFinished (this=0x8b8bde8, ok=true) at /build/buildd/rekonq-0.6.1/src/mainview.cpp:564
#14 0x003a9652 in MainView::qt_metacall (this=0x8b8bde8, _c=QMetaObject::InvokeMetaMethod, _id=98, _a=0xbfd4f2b8) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/mainview.moc:163
#15 0x025348ca in QMetaObject::metacall (object=0x8b8bde8, cl=159667544, idx=98, argv=0xbfd4f2b8) at kernel/qmetaobject.cpp:237
#16 0x025476ad in QMetaObject::activate (sender=0x8cb8788, m=0x20f8774, local_signal_index=2, argv=0x0) at kernel/qobject.cpp:3280
#17 0x01991db9 in QWebView::loadFinished(bool) () from /usr/lib/libQtWebKit.so.4
#18 0x01992f40 in QWebView::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtWebKit.so.4
#19 0x0012764a in KWebView::qt_metacall (this=0x8cb8788, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbfd4f4a8) at ./kwebview.moc:71
#20 0x003d82ca in WebView::qt_metacall (this=0x8cb8788, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbfd4f4a8) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/webview.moc:90
#21 0x025348ca in QMetaObject::metacall (object=0x8cb8788, cl=159667544, idx=29, argv=0xbfd4f4a8) at kernel/qmetaobject.cpp:237
#22 0x025476ad in QMetaObject::activate (sender=0x8d17220, m=0x20f8664, local_signal_index=2, argv=0x0) at kernel/qobject.cpp:3280
#23 0x01983789 in QWebPage::loadFinished(bool) () from /usr/lib/libQtWebKit.so.4
#24 0x0198f73b in QWebPage::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtWebKit.so.4
#25 0x001271ea in KWebPage::qt_metacall (this=0x8d17220, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfd4f688) at ./kwebpage.moc:82
#26 0x003d0d9a in WebPage::qt_metacall (this=0x8d17220, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfd4f688) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/webpage.moc:86
#27 0x025348ca in QMetaObject::metacall (object=0x8d17220, cl=159667544, idx=6, argv=0xbfd4f688) at kernel/qmetaobject.cpp:237
#28 0x025476ad in QMetaObject::activate (sender=0x8d24d20, m=0x20f7c8c, local_signal_index=2, argv=0x0) at kernel/qobject.cpp:3280
#29 0x0196a8c9 in ?? () from /usr/lib/libQtWebKit.so.4
#30 0x0196bbf1 in ?? () from /usr/lib/libQtWebKit.so.4
#31 0x017677b4 in ?? () from /usr/lib/libQtWebKit.so.4
#32 0x01767880 in ?? () from /usr/lib/libQtWebKit.so.4
#33 0x0173b68b in ?? () from /usr/lib/libQtWebKit.so.4
#34 0x0173bae8 in ?? () from /usr/lib/libQtWebKit.so.4
#35 0x0172de47 in ?? () from /usr/lib/libQtWebKit.so.4
#36 0x0176f1df in ?? () from /usr/lib/libQtWebKit.so.4
#37 0x0176d4e3 in ?? () from /usr/lib/libQtWebKit.so.4
#38 0x0176ccc2 in ?? () from /usr/lib/libQtWebKit.so.4
#39 0x01730039 in ?? () from /usr/lib/libQtWebKit.so.4
#40 0x01912d39 in ?? () from /usr/lib/libQtWebKit.so.4
#41 0x01916d30 in ?? () from /usr/lib/libQtWebKit.so.4
#42 0x01417cce in ?? () from /usr/lib/libQtWebKit.so.4
#43 0x028d416e in ?? ()
#44 0x01b6d627 in ?? () from /usr/lib/libQtWebKit.so.4
#45 0x01bc1ecd in ?? () from /usr/lib/libQtWebKit.so.4
#46 0x01b9c48e in ?? () from /usr/lib/libQtWebKit.so.4
#47 0x014a69e2 in ?? () from /usr/lib/libQtWebKit.so.4
#48 0x01595a3b in ?? () from /usr/lib/libQtWebKit.so.4
#49 0x01596866 in ?? () from /usr/lib/libQtWebKit.so.4
#50 0x015969fa in ?? () from /usr/lib/libQtWebKit.so.4
#51 0x01790189 in ?? () from /usr/lib/libQtWebKit.so.4
#52 0x017904a8 in ?? () from /usr/lib/libQtWebKit.so.4
#53 0x0182e14d in ?? () from /usr/lib/libQtWebKit.so.4
#54 0x0182e22d in ?? () from /usr/lib/libQtWebKit.so.4
#55 0x01960026 in ?? () from /usr/lib/libQtWebKit.so.4
#56 0x02541504 in QObject::event (this=0x8cb6f80, e=0x9845560) at kernel/qobject.cpp:1183
#57 0x074aefdc in QApplicationPrivate::notify_helper (this=0x8ae54d8, receiver=0x8cb6f80, e=0xbfd504d0) at kernel/qapplication.cpp:4396
#58 0x074b504e in QApplication::notify (this=0xbfd50844, receiver=0x8cb6f80, e=0xbfd504d0) at kernel/qapplication.cpp:3798
#59 0x0350268a in KApplication::notify (this=0xbfd50844, receiver=0x8cb6f80, event=0xbfd504d0) at ../../kdeui/kernel/kapplication.cpp:310
#60 0x0252eb3b in QCoreApplication::notifyInternal (this=0xbfd50844, receiver=0x8cb6f80, event=0xbfd504d0) at kernel/qcoreapplication.cpp:732
#61 0x02560ad6 in sendEvent (this=0x8ae09b4) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#62 QTimerInfoList::activateTimers (this=0x8ae09b4) at kernel/qeventdispatcher_unix.cpp:602
#63 0x0255d874 in timerSourceDispatch (source=0x8ae0980) at kernel/qeventdispatcher_glib.cpp:184
#64 0x02725855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#65 0x02729668 in ?? () from /lib/libglib-2.0.so.0
#66 0x02729848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#67 0x0255d565 in QEventDispatcherGlib::processEvents (this=0x8abf688, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#68 0x07570be5 in QGuiEventDispatcherGlib::processEvents (this=0x8abf688, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#69 0x0252d609 in QEventLoop::processEvents (this=0xbfd50794, flags=) at kernel/qeventloop.cpp:149
#70 0x0252da8a in QEventLoop::exec (this=0xbfd50794, flags=...) at kernel/qeventloop.cpp:201
#71 0x0253200f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#72 0x074ade07 in QApplication::exec () at kernel/qapplication.cpp:3672
#73 0x0043524e in kdemain (argc=1, argv=0xbfd50b04) at /build/buildd/rekonq-0.6.1/src/main.cpp:198
#74 0x0804859b in main (argc=1, argv=0xbfd50b04) at /build/buildd/rekonq-0.6.1/obj-i686-linux-gnu/src/rekonq_dummy.cpp:3

This bug may be a duplicate of or related to bug 255370.

Possible duplicates by query: bug 255370.

Reported using DrKonqi
Comment 1 Dario Andres 2011-01-30 23:47:50 UTC
[Comment from a bug triager]
From bug 255370:
- What I was doing when the application crashed:
I was watching livetv.com and the browser just crash, and it happens a lot.
Comment 2 Dario Andres 2011-01-30 23:47:55 UTC
*** Bug 255370 has been marked as a duplicate of this bug. ***
Comment 3 gladysowens 2011-06-19 13:06:01 UTC
Created attachment 61141 [details]
New crash information added by DrKonqi

rekonq (0.7.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
 I was playing frontierville on facebook.  While harvesting crops, it crashed.  When I clicked to install missing debug packages it showed I needed /usr/bin/rekonq and /usr/libQtWebKit.so.4.  I am new to Linux and do not know how to download these items.  I have copied and pasted in terminal and thought I had all of the packages.  I do not know how to find these items.

-- Backtrace (Reduced):
#6  0x00007f9c9c77de50 in QWebFrame::scrollBarMaximum(Qt::Orientation) const () from /usr/lib/libQtWebKit.so.4
#7  0x00007f9c9db2ba0c in MainWindow::notifyMessage (this=0x5e7fe60, msg=..., status=<value optimized out>) at /build/buildd/rekonq-0.7.0/src/mainwindow.cpp:1184
#8  0x00007f9c9db31104 in MainWindow::qt_metacall (this=0x5e7fe60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcc2fad40) at /build/buildd/rekonq-0.7.0/obj-x86_64-linux-gnu/src/mainwindow.moc:159
[...]
#10 0x00007f9c9db247a6 in MainView::showStatusBarMessage (this=<value optimized out>, _t1=<value optimized out>, _t2=Rekonq::Info) at /build/buildd/rekonq-0.7.0/obj-x86_64-linux-gnu/src/mainview.moc:196
#11 0x00007f9c9db26053 in MainView::webViewLoadStarted (this=0x953f130) at /build/buildd/rekonq-0.7.0/src/mainview.cpp:532
Comment 4 Brian Reynolds 2011-07-22 22:03:13 UTC
Created attachment 62100 [details]
New crash information added by DrKonqi

rekonq (0.7.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

still trying to play cafeworld on facebook and ween i clicked relode it crashed

-- Backtrace (Reduced):
#6  0x00007f838bdeee50 in QWebFrame::scrollBarMaximum(Qt::Orientation) const () from /usr/lib/libQtWebKit.so.4
#7  0x00007f838d19ca0c in MainWindow::notifyMessage (this=0x1dde400, msg=..., status=<value optimized out>) at /build/buildd/rekonq-0.7.0/src/mainwindow.cpp:1184
#8  0x00007f838d1a2104 in MainWindow::qt_metacall (this=0x1dde400, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbe0a7da0) at /build/buildd/rekonq-0.7.0/obj-x86_64-linux-gnu/src/mainwindow.moc:159
[...]
#10 0x00007f838d1957a6 in MainView::showStatusBarMessage (this=<value optimized out>, _t1=<value optimized out>, _t2=Rekonq::Info) at /build/buildd/rekonq-0.7.0/obj-x86_64-linux-gnu/src/mainview.moc:196
#11 0x00007f838d196f63 in MainView::webViewLoadFinished (this=0x1e086f0, ok=true) at /build/buildd/rekonq-0.7.0/src/mainview.cpp:561
Comment 5 Andrea Diamantini 2011-09-11 10:03:28 UTC
Needs deeper investigation. Targetting 0.8
Comment 6 Andrea Diamantini 2011-10-31 10:55:37 UTC
Btw, should be fixed in 0.8. Targetting 0.9 just to be sure...
Comment 7 Andrea Diamantini 2011-12-29 08:54:22 UTC
Git commit 75771bcb88cbf9b130d0930c564d54009380e494 by Andrea Diamantini.
Committed on 29/12/2011 at 09:55.
Pushed by adjam into branch 'master'.

Check not existance of the extant

M  +5    -0    src/mainwindow.cpp

http://commits.kde.org/rekonq/75771bcb88cbf9b130d0930c564d54009380e494